function FileData_Pairs(x)
{
x.t("example","create");
x.t("example","chapter");
x.t("example","located");
x.t("example","mdb");
x.t("included","file");
x.t("20:03:25,125","info");
x.t("org.jboss.chap4.ex2.sendrecvclient.java","source");
x.t("19:35:34,296","info");
x.t("java.naming.provider.url=localhost","run");
x.t("files","ejb-jar.xml");
x.t("console","20:03:25,046");
x.t("20:03:25,250","info");
x.t("build","example");
x.t("build","client");
x.t("create","ejb");
x.t("create","easiest");
x.t("create","directory");
x.t("19:35:34,968","info");
x.t("0processed","3824284");
x.t("32953059","onmessage");
x.t("source","program");
x.t("source","directory");
x.t("source","code");
x.t("defaultdomain:service=namingalias","fromname=topicconnectionfactory");
x.t("defaultdomain:service=namingalias","fromname=queueconnectionfactory");
x.t("jboss_home","\\bin");
x.t("20:03:25,140","info");
x.t("name=","defaultdomain:service=namingalias");
x.t("name=","toname");
x.t("name=","fromname");
x.t("mbean","code=");
x.t("/attribute","attribute");
x.t("/attribute","/mbean");
x.t("[org.jboss.ejb.ejbmodule]","deploying");
x.t("[org.jboss.ejb.ejbmodule]","started");
x.t("3824284","onmessage");
x.t("20:03:25,421","info");
x.t("connectionfactory","/attribute");
x.t("connectionfactory","therefore");
x.t("[org.jboss.ejb.plugins.messagedriveninstancepool]","started");
x.t("program","org.jboss.chap4.ex2.sendrecvclient.java");
x.t("program","listed");
x.t("program","add");
x.t("program","sure");
x.t("program","window");
x.t("program","java");
x.t("line","copied");
x.t("textmdb.onmessage","this=3824284");
x.t("textmdb.onmessage","this=32420722");
x.t("textmdb.onmessage","this=13863286");
x.t("textmdb.onmessage","this=23916456");
x.t("textmdb.onmessage","this=31834937");
x.t("textmdb.onmessage","this=30170403");
x.t("textmdb.onmessage","this=32953059");
x.t("textmdb.onmessage","this=2003839");
x.t("textmdb.sendreply","this=3824284");
x.t("textmdb.sendreply","this=32420722");
x.t("textmdb.sendreply","this=13863286");
x.t("textmdb.sendreply","this=23916456");
x.t("textmdb.sendreply","this=31834937");
x.t("textmdb.sendreply","this=30170403");
x.t("textmdb.sendreply","this=32953059");
x.t("textmdb.sendreply","this=2003839");
x.t("working","using");
x.t("jboss_deploy","jboss");
x.t("jboss_deploy","\\jms\\jbossmq-service.xml");
x.t("fromname=topicconnectionfactory","attribute");
x.t("deployment","package");
x.t("20:03:25,312","info");
x.t("topicconnectionfactory","/attribute");
x.t("topicconnectionfactory","pre-mapped");
x.t("connection","factory");
x.t("copied","file");
x.t("recv","text=a");
x.t("this=3824284","20:03:25,187");
x.t("this=3824284","20:03:25,078");
x.t("this=3824284","dest=queue.a");
x.t("this=3824284","20:03:25,109");
x.t("this=3824284","20:03:25,234");
x.t("jboss","connection");
x.t("jboss","window");
x.t("jboss","4.0.2");
x.t("jboss","administration");
x.t("jboss","server");
x.t("19:35:34,875","info");
x.t("listed","book");
x.t("text","msg");
x.t("20:03:25,203","info");
x.t("start","jboss");
x.t("onmessage","recv");
x.t("command","jar");
x.t("command","run");
x.t("\\log4j.jar","jboss_client");
x.t("file","java.naming.provider.url=localhost");
x.t("file","jboss_deploy");
x.t("file","jndi.properties");
x.t("file","changing");
x.t("file","pre-configured");
x.t("info","[org.jboss.ejb.ejbmodule]");
x.t("info","[org.jboss.ejb.plugins.messagedriveninstancepool]");
x.t("info","[org.jboss.deployment.maindeployer]");
x.t("info","[org.jboss.ejb.plugins.jms.dlqhandler]");
x.t("info","[org.jboss.ejb.ejbdeployer]");
x.t("info","[org.jboss.ejb.messagedrivencontainer]");
x.t("info","[stdout]");
x.t("info","[org.jboss.ejb.plugins.jms.jmscontainerinvoker]");
x.t("found","next");
x.t("add","mapping");
x.t("add","following");
x.t("meta-inf","org\\jboss\\chap4\\ex2\\textmdb.class");
x.t("meta-inf","directory");
x.t("meta-inf","output");
x.t("ejb","jar");
x.t("jar","file");
x.t("jar","cvf");
x.t("\\jboss-j2ee.jar","compile");
x.t("\\jboss-j2ee.jar","jboss_client");
x.t("deploying","textmdb");
x.t("sure","following");
x.t("3processed","32953059");
x.t("sendrecvasync","onmessage");
x.t("sendrecvasync","sendrecvasync");
x.t("sendrecvasync","sent");
x.t("ejb-jar.xml","jboss.xml");
x.t("textmdb.ejbcreate","this=3824284");
x.t("textmdb.ejbcreate","this=32420722");
x.t("textmdb.ejbcreate","this=13863286");
x.t("textmdb.ejbcreate","this=23916456");
x.t("textmdb.ejbcreate","this=31834937");
x.t("textmdb.ejbcreate","this=30170403");
x.t("textmdb.ejbcreate","this=32953059");
x.t("textmdb.ejbcreate","this=2003839");
x.t("integrating","jboss");
x.t("org.jboss.chap4.ex2.textmdb.class","copy");
x.t("jboss.xml","source");
x.t("toname","connectionfactory");
x.t("window","begin");
x.t("window","output");
x.t("textmdb.setmessagedrivencontext","this=3824284");
x.t("textmdb.setmessagedrivencontext","this=32420722");
x.t("textmdb.setmessagedrivencontext","this=13863286");
x.t("textmdb.setmessagedrivencontext","this=23916456");
x.t("textmdb.setmessagedrivencontext","this=31834937");
x.t("textmdb.setmessagedrivencontext","this=30170403");
x.t("textmdb.setmessagedrivencontext","this=32953059");
x.t("textmdb.setmessagedrivencontext","this=2003839");
x.t("directories","output");
x.t("\\bin","directory");
x.t("[org.jboss.deployment.maindeployer]","deployed");
x.t("[org.jboss.deployment.maindeployer]","starting");
x.t("map","connection");
x.t("modification","mapping");
x.t("\\jbossmq-client.jar","jboss_client");
x.t("easiest","first");
x.t("jboss_conf","jboss_client");
x.t("textmdb.ctor","this=3824284");
x.t("textmdb.ctor","this=32420722");
x.t("textmdb.ctor","this=13863286");
x.t("textmdb.ctor","this=23916456");
x.t("textmdb.ctor","this=31834937");
x.t("textmdb.ctor","this=30170403");
x.t("textmdb.ctor","this=32953059");
x.t("textmdb.ctor","this=2003839");
x.t("lines","file");
x.t("[org.jboss.ejb.plugins.jms.dlqhandler]","started");
x.t("started","null");
x.t("started","jboss.j2ee:binding=message-driven-bean");
x.t("started","jboss.j2ee:module=myejb.jar");
x.t("started","jboss.j2ee:jndiname=local/textmdb");
x.t("attribute","name=");
x.t("jndi","names");
x.t("begin","sendrecvasync");
x.t("20:03:25,296","info");
x.t("configured","adding");
x.t("plugin=invoker","service=ejb");
x.t("deployed","file:/c:/jboss-4.0.2/server/default/deploy/myejb.jar");
x.t("deployed","package");
x.t("cvf","myejb.jar");
x.t("next","step");
x.t("org\\jboss\\chap4\\ex2\\textmdb.class","map");
x.t("code=","org.jboss.naming.namingalias");
x.t("\\jnet.jar","jboss_client");
x.t("first","copy");
x.t("20:03:25,187","info");
x.t("/mbean","mbean");
x.t("/mbean","start");
x.t("6processed","32420722");
x.t("chapter","example");
x.t("chapter","jboss");
x.t("chapter","integrating");
x.t("service=ejb","19:35:34,875");
x.t("20:03:25,078","info");
x.t("this=32420722","20:03:25,250");
x.t("this=32420722","20:03:25,296");
x.t("this=32420722","dest=queue.a");
x.t("this=32420722","20:03:25,375");
x.t("starting","deployment");
x.t("step","jboss");
x.t("compile","example");
x.t("compile","client");
x.t("directory","included");
x.t("directory","create");
x.t("directory","found");
x.t("directory","named");
x.t("directory","issuing");
x.t("directory","associated");
x.t("directory","contains");
x.t("internal","jboss");
x.t("jndiname=local/textmdb","plugin=invoker");
x.t("org.jboss.chap4.ex2.sendrecvclient","output");
x.t("this=13863286","20:03:25,203");
x.t("this=13863286","dest=queue.a");
x.t("this=13863286","20:03:25,343");
x.t("jboss_client","\\log4j.jar");
x.t("jboss_client","add");
x.t("jboss_client","\\jboss-j2ee.jar");
x.t("jboss_client","\\jbossmq-client.jar");
x.t("jboss_client","\\jnet.jar");
x.t("jboss_client","directory");
x.t("jboss_client","jboss_client");
x.t("jboss_client","\\concurrent.jar");
x.t("jboss_client","\\jnp-client.jar");
x.t("jboss_client","\\jboss-common-client.jar");
x.t("code","example");
x.t("fromname=queueconnectionfactory","attribute");
x.t("client","program");
x.t("client","therefore");
x.t("book","jboss");
x.t("end","sendrecvasync");
x.t("located","jboss");
x.t("jndi.properties","file");
x.t("jndi.properties","jboss_conf");
x.t("jndi.properties","directory");
x.t("queueconnectionfactory","/attribute");
x.t("queueconnectionfactory","topicconnectionfactory");
x.t("[org.jboss.ejb.ejbdeployer]","deployed");
x.t("dest=queue.a","20:03:25,125");
x.t("dest=queue.a","20:03:25,421");
x.t("dest=queue.a","20:03:25,296");
x.t("dest=queue.a","tibco");
x.t("dest=queue.a","20:03:25,375");
x.t("dest=queue.a","20:03:25,328");
x.t("dest=queue.a","20:03:25,218");
x.t("dest=queue.a","20:03:25,343");
x.t("dest=queue.a","20:03:25,234");
x.t("tibco","software");
x.t("\\jms\\jbossmq-service.xml","--==========================================================");
x.t("java","org.jboss.chap4.ex2.sendrecvclient");
x.t("32420722","onmessage");
x.t("changing","jboss_home");
x.t("changing","directories");
x.t("null","19:35:34,875");
x.t("msg","0processed");
x.t("msg","3processed");
x.t("msg","sendrecvasync");
x.t("msg","6processed");
x.t("msg","end");
x.t("msg","8processed");
x.t("20:03:25,375","info");
x.t("factory","called");
x.t("factory","names");
x.t("jboss.j2ee:binding=message-driven-bean","jndiname=local/textmdb");
x.t("jboss.j2ee:module=myejb.jar","service=ejbmodule");
x.t("8processed","23916456");
x.t("named","meta-inf");
x.t("org.jboss.naming.namingalias","name=");
x.t("similar","following");
x.t("service=ejbmodule","19:35:34,875");
x.t("this=23916456","20:03:25,421");
x.t("this=23916456","20:03:25,312");
x.t("this=23916456","20:03:25,296");
x.t("this=23916456","dest=queue.a");
x.t("19:35:33,343","info");
x.t("\\concurrent.jar","compile");
x.t("classpath","jboss_client");
x.t("\\jnp-client.jar","jboss_client");
x.t("this=31834937","20:03:25,312");
x.t("this=31834937","20:03:25,187");
x.t("this=31834937","dest=queue.a");
x.t("this=31834937","20:03:25,156");
x.t("file:/c:/jboss-4.0.2/server/default/deploy/myejb.jar","19:35:34,296");
x.t("file:/c:/jboss-4.0.2/server/default/deploy/myejb.jar","19:35:34,968");
x.t("file:/c:/jboss-4.0.2/server/default/deploy/myejb.jar","build");
x.t("[org.jboss.ejb.messagedrivencontainer]","started");
x.t("20:03:25,156","info");
x.t("output","directory");
x.t("output","similar");
x.t("output","following");
x.t("4.0.2","example");
x.t("4.0.2","jndi");
x.t("4.0.2","jndi.properties");
x.t("issuing","following");
x.t("20:03:25,046","info");
x.t("[stdout]","textmdb.onmessage");
x.t("[stdout]","textmdb.sendreply");
x.t("[stdout]","textmdb.ejbcreate");
x.t("[stdout]","textmdb.setmessagedrivencontext");
x.t("[stdout]","textmdb.ctor");
x.t("this=30170403","20:03:25,125");
x.t("this=30170403","dest=queue.a");
x.t("this=30170403","20:03:25,109");
x.t("this=30170403","20:03:25,343");
x.t("--==========================================================","mbean");
x.t("--==========================================================","jbossmq");
x.t("textmdb","19:35:34,875");
x.t("23916456","output");
x.t("called","connectionfactory");
x.t("20:03:25,328","info");
x.t("administration","development");
x.t("\\jboss-common-client.jar","jboss_client");
x.t("pre-configured","client");
x.t("jbossmq","example");
x.t("jbossmq","build");
x.t("jbossmq","chapter");
x.t("jbossmq","--==========================================================");
x.t("copy","files");
x.t("copy","jndi.properties");
x.t("copy","myejb.jar");
x.t("pre-mapped","internal");
x.t("text=a","text");
x.t("20:03:25,218","info");
x.t("mapping","configured");
x.t("mapping","order");
x.t("order","example");
x.t("package","file:/c:/jboss-4.0.2/server/default/deploy/myejb.jar");
x.t("following","line");
x.t("following","jboss");
x.t("following","command");
x.t("following","lines");
x.t("following","client");
x.t("following","19:35:33,343");
x.t("following","classpath");
x.t("run","client");
x.t("run","copy");
x.t("using","jbossmq");
x.t("myejb.jar","jboss_deploy");
x.t("myejb.jar","meta-inf");
x.t("20:03:25,109","info");
x.t("20:03:25,343","info");
x.t("mdb","working");
x.t("mdb","add");
x.t("mdb","textmdb.java");
x.t("mdb","without");
x.t("development","meta-inf");
x.t("development","chapter");
x.t("development","run");
x.t("adding","following");
x.t("[org.jboss.ejb.plugins.jms.jmscontainerinvoker]","started");
x.t("textmdb.java","source");
x.t("associated","example");
x.t("names","jboss");
x.t("names","queueconnectionfactory");
x.t("therefore","create");
x.t("therefore","add");
x.t("without","modification");
x.t("jboss.j2ee:jndiname=local/textmdb","service=ejb");
x.t("jboss.j2ee:jndiname=local/textmdb","plugin=pool");
x.t("fromname","topicconnectionfactory");
x.t("fromname","queueconnectionfactory");
x.t("this=32953059","20:03:25,125");
x.t("this=32953059","20:03:25,140");
x.t("this=32953059","dest=queue.a");
x.t("this=32953059","20:03:25,218");
x.t("this=32953059","20:03:25,343");
x.t("20:03:25,234","info");
x.t("plugin=pool","service=ejb");
x.t("sent","text=a");
x.t("this=2003839","dest=queue.a");
x.t("this=2003839","20:03:25,328");
x.t("this=2003839","20:03:25,109");
x.t("contains","org.jboss.chap4.ex2.textmdb.class");
x.t("server","console");
x.t("server","changing");
}
